package com.kiisoo.ic.login.enums;

import lombok.Getter;

/**
 * @author jinchaofan
 * @Date 2020/2/25 12:52
 * @company kiisoo
 * @Details 登录枚举
 */
@Getter
public enum LoginEnum {

    LOGIN_SUCCEED("登录成功", "0000"),

    LOGIN_ERROR("登录出错", "0001"),

    LOGIN_LOGIN_NONENTITY("登录账号不存在", "0002"),

    LOGIN_PASSWORD_ERROR("密码不正确,请检查密码", "0003"),

    LOGIN_ROLE_NONENTITY("角色不存在", "0004"),

    LOGIN_USER_NONENTITY("用户不存在", "0005"),

    LOGIN_ROLE_NO_PERMISSION("该角色不能登录", "0006"),

    LOGIN_USER_BINDED("该用户的已被绑定", "0007"),
    ;

    /**
     * 登录信息
     */
    private String loginInfo;

    /**
     * 成功码
     */
    private String code;


    LoginEnum(String loginInfo, String code) {
        this.loginInfo = loginInfo;
        this.code = code;
    }
}
